Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.common
Class T3Services

    java.lang.Object
      |
      +--weblogic.common.T3Services

Deprecated. Deprecated in WebLogic Server 6.1.

public final class T3Services
extends java.lang.Object

Provides a mechanism for retrieving the server-side services stub in the WebLogic framework. For server-side objects, this is analagous to the T3Client's client-side services stub, and provides access to WebLogic services in a canonical way.

A JNDI client can obtain a T3ServicesDef object by performing a lookup on weblogic.common.T3Services as shown below:

      T3ServicesDef t3 = (T3ServicesDef)
         ctx.lookup("weblogic.common.T3Services");

Author:
  Copyright (c) 1997-98 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.

Constructor Summary
`T3Services()` Deprecated.

Method Summary
`static T3ServicesDef` | `getT3Services()` Deprecated. Deprecated in WebLogic Server 6.1.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### T3Services

    public T3Services()

  Deprecated.

Method Detail

### getT3Services

    public static final T3ServicesDef getT3Services()

  Deprecated. Deprecated in WebLogic Server 6.1.
  Gets the services stub. The services stub allows for variations in implementations of services, according to whether a class is instantiated in the client or the server, to be set at runtime, when a WebLogic class is instantiated.

  Returns:
    T3ServicesDef

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference